/***********************************************************************
*Copyright (c)2012 , 天际边工作室
*All rights reserved.
**
文件名称：	LibOperator.cpp
*摘要：		游戏引擎类头文件
**
*修改历史：
*	版本    日期     作者     改动内容和原因
*   ----------------------------------------------------
*	1.0    2012-10-5  wstjb     基本的功能完成
***********************************************************************/

#pragma once

#include <windows.h>
#include <stdio.h>
#include <stdlib.h>
#include "PublicFun.h"


class LibOperator
{
public:

	void Init();
	
	void KeyDown(WPARAM KeyCode);
	
	void GetData();//初始化获取数据函数
	
	void GetResLen();//获取长度
	void GetResFromLib(int type,int restype,int index);
	void GetResLen(int type,int restype,int index);
	int CountResLen(int start);
	int GetSegmentLen(int segment);
	void GetAllLibResToRes();
	

//private:
	int stat;
	int ng;

	int libLen ;
	//int resPos[2731][6];//存储lib地址和编号 第六位为长度
	//byte resByte[2731][16384];//存储lib资源
	//int resCount;
	char libName[8+1];
	int segment;
	int offset;
	byte tmpByte[16384];
	int tmpByteLen;
	
	
};